## GalViewCollection GalViewCollection |

## Functions

GalViewCollection * | gal_view_collection_new ()
const gchar * | gal_view_collection_get_system_directory ()
const gchar * | gal_view_collection_get_user_directory ()
gint | gal_view_collection_get_count ()
GalView * | gal_view_collection_get_view ()
GalViewCollectionItem * | gal_view_collection_get_view_item ()
gint | gal_view_collection_get_view_index_by_id ()
void | gal_view_collection_delete_view ()
void | gal_view_collection_save ()
GalView * | gal_view_collection_load_view_from_file ()
const gchar * | gal_view_collection_append_with_title ()
const gchar * | gal_view_collection_set_nth_view ()
const gchar * | gal_view_collection_get_default_view ()

## Properties

gchar * | system-directory | Read / Write / Construct Only
gchar * | user-directory | Read / Write / Construct Only

## Signals

void | changed | Run Last

## Types and Values

struct | GalViewCollectionItem

## Object Hierarchy

        GObject
        ╰── GalViewCollection

## Description

## Functions

### gal_view_collection_new ()

    GalViewCollection *
    gal_view_collection_new (const gchar *system_directory,
                             const gchar *user_directory);

Creates a GalViewCollection and loads ".galview" files from `system_directory` and `user_directory` .

#### Parameters

system_directory | directory from which to load built-in views |
user_directory | directory from which to load user-created views |

### gal_view_collection_get_system_directory ()

    const gchar *
    gal_view_collection_get_system_directory
                                   (GalViewCollection *collection);

Returns the directory from which built-in views were loaded.

#### Parameters

collection | a GalViewCollection |

#### Returns

the system directory for `collection`

### gal_view_collection_get_user_directory ()

    const gchar *
    gal_view_collection_get_user_directory
                                   (GalViewCollection *collection);

Returns the directory from which user-created views were loaded.

#### Parameters

collection | a GalViewCollection |

#### Returns

the user directory for `collection`

### gal_view_collection_get_count ()

    gint
    gal_view_collection_get_count (GalViewCollection *collection);

Calculates the number of views in the given collection.

#### Parameters

collection | The view collection to count |

#### Returns

The number of views in the collection.

### gal_view_collection_get_view ()

    GalView *
    gal_view_collection_get_view (GalViewCollection *collection,
                                  gint n);

#### Parameters

collection | The view collection to query |
n | The view to get. |

#### Returns

The nth view in the collection

### gal_view_collection_get_view_item ()

    GalViewCollectionItem *
    gal_view_collection_get_view_item (GalViewCollection *collection,
                                       gint n);

#### Parameters

collection | The view collection to query |
n | The view item to get. |

#### Returns

The nth view item in the collection

### gal_view_collection_get_view_index_by_id ()

    gint
    gal_view_collection_get_view_index_by_id
                                   (GalViewCollection *collection,
                                    const gchar *view_id);

### gal_view_collection_delete_view ()

    void
    gal_view_collection_delete_view (GalViewCollection *collection,
                                     gint i);

### gal_view_collection_save ()

    void
    gal_view_collection_save (GalViewCollection *collection);

Saves the data to the user directory specified in set storage directories. This is primarily for internal use by other parts of gal_view.

#### Parameters

collection | The view collection to save information for |

### gal_view_collection_load_view_from_file ()

    GalView *
    gal_view_collection_load_view_from_file
                                   (GalViewCollection *collection,
                                    const gchar *type,
                                    const gchar *filename);

### gal_view_collection_append_with_title ()

    const gchar *
    gal_view_collection_append_with_title (GalViewCollection *collection,
                                           const gchar *title,
                                           GalView *view);

### gal_view_collection_set_nth_view ()

    const gchar *
    gal_view_collection_set_nth_view (GalViewCollection *collection,
                                      gint i,
                                      GalView *view);

### gal_view_collection_get_default_view ()

    const gchar *
    gal_view_collection_get_default_view (GalViewCollection *collection);

## Types and Values

### struct GalViewCollectionItem

    struct GalViewCollectionItem {
    	GalView *view;
    	gchar *id;
    	gboolean changed;
    	gboolean ever_changed;
    	gboolean built_in;
    	gchar *filename;
    	gchar *title;
    	gchar *type;
    	GalViewCollection *collection;
    	guint view_changed_id;
    	gchar *accelerator;
    };

## Property Details

### The `“system-directory”` property

      “system-directory”         gchar *

Directory from which to load built-in views.

Owner: GalViewCollection

Flags: Read / Write / Construct Only

Default value: NULL

### The `“user-directory”` property

      “user-directory”           gchar *

Directory from which to load user-created views.

Owner: GalViewCollection

Flags: Read / Write / Construct Only

Default value: NULL

## Signal Details

### The `“changed”` signal

    void
    user_function (GalViewCollection *galviewcollection,
                   gpointer           user_data)

Flags: Run Last